/*
 * RSSBot
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.rssbot.data.database.tables

import org.jetbrains.exposed.sql.Table


object SubscriptionsTable : Table(name = "subscriptions") {
    val id = integer("id").autoIncrement().uniqueIndex()
    val serverId = long("server_id")
    val channelId = long("channel_id")
    val subscriptionColor = text("subscription_color")
    val subscriptionName = text("subscription_name")
    val feedUrl = text("feed_url")
    val subscriptionTimestamp = long("subscription_timestamp")
}
